// *** 7 Colors for Windows CE ***
// Version 1.4
// Franois PESSAUX June 2001
// This program is freeware
// Use its sources as you want provided that you leave this copyright unchanged
// and that you drop a small word telling that I'm the author of these sources.
// Thank's a lot
//   --Francois


#define OWNER_NOBODY (-1)
#define OWNER_PLAYER0 0
#define OWNER_PLAYER1 1
#define OWNER_FORBIDDEN 2

#define EMPTY_MARKER 0
#define SEEN_MARKER 1
#define DONTFILL_MARKER 2

struct cell {
  int color ;
  int owner ;
  int marker ;
};

struct player {
  TCHAR pname[6] ;
  int pstart ;
  int pcolor ;
  int pcount ;
};

struct game {
  int board_array_size ;
	int number_forbidden_cells ;
  struct cell *board ;
};

#define COLOR_GRAY 0
#define COLOR_RED 1
#define COLOR_GREEN 2
#define COLOR_BLUE 3
#define COLOR_CYAN 4
#define COLOR_MAGENTA 5
#define COLOR_YELLOW 6
#define COLOR_BLACK 7

#define OUT_OF_BOARD -1

#define MAX_STRINGLEN 32

#define BUTTONWIDTH 20
#define BUTTONHEIGHT 20

#define IDB_GRAY_BUTTON 101
#define IDB_RED_BUTTON 102
#define IDB_GREEN_BUTTON 103
#define IDB_BLUE_BUTTON 104
#define IDB_CYAN_BUTTON 105
#define IDB_MAGENTA_BUTTON 106
#define IDB_YELLOW_BUTTON 107

#define FENCE_STYLE_NONE 0
#define FENCE_STYLE_1_VERTICAL 1
#define FENCE_STYLE_2_VERTICAL 2
#define FENCE_STYLE_1_HORIZONTAL 4
#define FENCE_STYLE_2_HORIZONTAL 8
#define FENCE_STYLE_2_VERTICAL_NO_SPACE 16
#define FENCE_STYLE_2_HORIZONTAL_NO_SPACE 32
