// *** 7 Colors for Windows CE ***
// Version 1.4
// Franois PESSAUX June 2001
// This program is freeware
// Use its sources as you want provided that you leave this copyright unchanged
// and that you drop a small word telling that I'm the author of these sources.
// Thank's a lot
//   --Francois

#include "stdafx.h"



int board_width = 16 ;
// Indeed there are really twice more lines
int board_height = 12 ;
int computer_id = OWNER_PLAYER1 ;
int fence_style = FENCE_STYLE_NONE ;
int spreading_factor = 5 ;
struct player players[2] ;

HINSTANCE app_instance_handle ;
TCHAR w_class_name[MAX_STRINGLEN] ;	// The window class name

struct game *current_game = NULL ;	// Current running game

HBRUSH color_brushes[8] ;			// Array containing brushes handles for painting diamonds

HBITMAP intro_bm_handle ;			// Handle on the background main window's brush
HBRUSH intro_brush ;					// Handle on the background main window's bitmap
HBITMAP prompt_bm_handle ;			// Handle on the prompt bitmap for new game brush

HWND t_player_handle ;				// Text control displaying the current game status 
HWND button_band_handle ;			// Handle to the band containing the play buttons
int button_band_height ;			// Height of the band containing the play buttons

TCHAR tmp_string[MAX_STRINGLEN] ;	// Multi-purpose temporary string

int turn ;												// Current player's turn to play
BOOL running_game = FALSE;				// Boolean telling if there is a game currently running

const TBBUTTON buttons_def[] = {
	//  BitmapIndex      Command  State            Style    UserData  String
	{0, IDB_GRAY_BUTTON,    TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
	{1, IDB_RED_BUTTON,     TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
  {2, IDB_GREEN_BUTTON,   TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
	{3, IDB_BLUE_BUTTON,    TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
  {4, IDB_CYAN_BUTTON,    TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
  {5, IDB_MAGENTA_BUTTON, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0},
	{6, IDB_YELLOW_BUTTON,  TBSTATE_ENABLED, TBSTYLE_BUTTON, 0,    0}
};
